import { NavStateService } from '../../services/nav/nav-state.service';
export declare class NavToggleComponent {
    private navStateService;
    constructor(navStateService: NavStateService);
    state: string;
    toggleNavMenu(): void;
    onNavStateChanged(_state: string): void;
}
